Skip to main content
PUT
Update an event settings profile

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

settingId
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
name
string

Name.

Maximum string length: 255
Example:

"Annual Gala"

public_page_enabled
boolean | null

Public page enabled.

Example:

false

show_sponsors
boolean | null

Show sponsors.

Example:

false

show_remaining_capacity
boolean | null

Show remaining capacity.

Example:

false

allow_donation_addon
boolean | null

Allow donation addon.

Example:

false

allow_recurring_gift_ask
boolean | null

Allow recurring gift ask.

Example:

false

allow_child_sponsorship_ask
boolean | null

Allow child sponsorship ask.

Example:

false

cover_fees_enabled
boolean | null

Cover fees enabled.

Example:

false

public_offline_payment_enabled
boolean | null

Public offline payment enabled.

Example:

false

Magic link management enabled.

Example:

false

event_day_check_in_enabled
boolean | null

Event day check in enabled.

Example:

false

check_in_blocked_payment_statuses
enum<string>[] | null

Check in blocked payment statuses.

*.

Available options:
pending,
failed,
refunded,
unpaid
include_pending_orders_in_event_revenue
boolean | null

Include pending orders in event revenue.

Example:

false

wallet_passes_enabled
boolean | null

Wallet passes enabled.

Example:

false

auction_enabled
boolean | null

Auction enabled.

Example:

false

privacy_mode
string | null

Privacy mode.

Maximum string length: 80
Example:

"Example"

check_payment_instructions
string | null

Check payment instructions.

Maximum string length: 1000
Example:

"Example"

donor_hysform_id
integer | null

Donor hysform id. Referenced record must belong to the authenticated organization.

Example:

1

emailset_id
integer | null

Emailset id. Referenced record must belong to the authenticated organization.

Example:

1

confirmation_email_template_id
integer | null

Confirmation email template id. Referenced record must belong to the authenticated organization.

Example:

1

reminder_email_template_id
integer | null

Reminder email template id. Referenced record must belong to the authenticated organization.

Example:

1

follow_up_email_template_id
integer | null

Follow up email template id. Referenced record must belong to the authenticated organization.

Example:

1

donation_ask_amounts
(number | null)[] | null

Donation ask amounts.

*.

Required range: x >= 0
Example:

1

Response

Update an event settings profile completed.

data
object